io.undertow.protocols.http2

## Interface HpackEncoder.HpackHeaderFunction

Enclosing class:
  HpackEncoder

    public static interface HpackEncoder.HpackHeaderFunction

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `shouldUseHuffman(HttpString header)` Returns true if huffman encoding should be used on the header name
`boolean` `shouldUseHuffman(HttpString header, String value)` Returns true if huffman encoding should be used on the header value
`boolean` `shouldUseIndexing(HttpString header, String value)`

### Method Detail

#### shouldUseIndexing

    boolean shouldUseIndexing(HttpString header,
                              String value)

#### shouldUseHuffman

    boolean shouldUseHuffman(HttpString header,
                             String value)

Returns true if huffman encoding should be used on the header value

Parameters:
  `header` - The header name
  `value` - The header value to be encoded
Returns:
  `true` if the value should be encoded

#### shouldUseHuffman

    boolean shouldUseHuffman(HttpString header)

Returns true if huffman encoding should be used on the header name

Parameters:
  `header` - The header name to be encoded
Returns:
  `true` if the value should be encoded